package com.sooka.service.impl;


import com.sooka.enums.ResultEnum;
import com.sooka.model.ResultModel;
import com.sooka.model.db.IntDetailed;
import com.sooka.service.AuthService;
import com.sooka.mapper.AuthMapper;
import com.sooka.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import tk.mybatis.mapper.entity.Example;

import java.util.Date;
import java.util.List;
import java.util.Objects;

@Service
public class AuthServiceImpl implements AuthService {

    @Autowired
    private AuthMapper authMapper;

    @Override
    public ResultModel auth(String secretKey, String intCode) {

        Example userExample = new Example(IntDetailed.class);
        Example.Criteria criteria = userExample.createCriteria();

        // 小于等于
        criteria.andLessThanOrEqualTo("strAt", DateUtils.format(new Date(), DateUtils.DATE_TIME_PATTERN));

        // 大于等于
        criteria.andGreaterThanOrEqualTo("endAt", DateUtils.format(new Date(), DateUtils.DATE_TIME_PATTERN));

        // 等于
        criteria.andEqualTo("secretKey", secretKey);


        List<IntDetailed> list = authMapper.selectByExample(userExample);

        if (list == null || list.size() != 1) {
            return ResultModel.error(ResultEnum.ERROR_AUTH_EXPIRES);
        }

        IntDetailed intDetailed = list.get(0);

        if (!Objects.equals(intCode, intDetailed.getIntCode())) {
            return ResultModel.error(ResultEnum.ERROR_INT_SECRET_KEY_MISMATCH);
        }

        if (!"1".equalsIgnoreCase(intDetailed.getStatus())) {
            return ResultModel.error(ResultEnum.ERROR_INTERFACE_DISABLED);
        }

        return ResultModel.ok(list);
    }
}
