package com.sooka.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.sooka.base.BaseApi;
import com.sooka.base.BaseService;
import com.sooka.mapper.Guiji_Gas_Mapper;
import com.sooka.mapper.Guiji_Gas_Mapper2;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.*;
import com.sooka.service.Guiji_Gas_Service;
import com.sooka.utils.HttpUtil;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

@Service
public class Guiji_Gas_ServiceImpl extends BaseService implements Guiji_Gas_Service {

    @Resource
    Guiji_Gas_Mapper guiji_gas_mapper;
    @Resource
    Guiji_Gas_Mapper2 guiji_gas_mapper2;

    @Override
    public ResultModel guiji_gas_Zenner_user_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "d3201e57-d4f9-4301-91de-69f40204f78c");
            log.put("interfaceinfoName", "归集-真兰收费系统-用户信息");

            Guiji_gas1_Zenner_user_infor_Bean bean = new Guiji_gas1_Zenner_user_infor_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setGUID(Data.getString("GUID"));
            bean.setVC_UI_CODE(Data.getString("VC_UI_CODE"));
            bean.setVC_UI_NAME(Data.getString("VC_UI_NAME"));
            bean.setVC_UI_STATE(Data.getString("VC_UI_STATE"));
            bean.setVC_UI_ADDR(Data.getString("VC_UI_ADDR"));
            bean.setVC_UI_TEL(Data.getString("VC_UI_TEL"));
            bean.setVC_UI_IDNO(Data.getString("VC_UI_IDNO"));
            bean.setVC_UI_REMARK(Data.getString("VC_UI_REMARK"));
            bean.setN_UI_BEFOREAMOUNT(Data.getString("N_UI_BEFOREAMOUNT"));
            bean.setN_UI_LASTAMOUNT(Data.getString("N_UI_LASTAMOUNT"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Zenner_user_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Zenner_user_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Zenner_user_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Zenner_user_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_Zenner_gas_meter_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "f6cb1f02-ac5d-44bb-b5ae-902bf14a7672");
            log.put("interfaceinfoName", "归集-真兰收费系统-表具信息");

            Guiji_gas2_Zenner_gas_meter_infor_Bean bean= new Guiji_gas2_Zenner_gas_meter_infor_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setId(Data.getString("GUID"));
            bean.setVC_MI_USERGUID(Data.getString("VC_MI_USERGUID"));
            bean.setVC_MI_NO(Data.getString("VC_MI_NO"));
            bean.setVC_MI_CARDNO(Data.getString("VC_MI_CARDNO"));
            bean.setVC_MI_DIRECTION(Data.getString("VC_MI_DIRECTION"));
            bean.setVC_MI_TIMA(Data.getString("VC_MI_TIMA"));
            bean.setVC_MI_CHAOBIAO(Data.getString("VC_MI_CHAOBIAO"));
            bean.setN_MI_BASECOUNT(Data.getString("N_MI_BASECOUNT"));
            bean.setN_MI_BASELEAVE(Data.getString("N_MI_BASELEAVE"));
            bean.setVC_MI_STATE(Data.getString("VC_MI_STATE"));
            bean.setI_MI_SALECOUNT(Data.getString("I_MI_SALECOUNT"));
            bean.setI_MI_WLSALECOUNT(Data.getString("I_MI_WLSALECOUNT"));
            bean.setI_MI_FILLCARDCOUNT(Data.getString("I_MI_FILLCARDCOUNT"));
            bean.setVC_MI_REMARK(Data.getString("VC_MI_REMARK"));
            bean.setI_MI_REPORTCOUNT(Data.getString("I_MI_REPORTCOUNT"));
            bean.setD_MI_CREATETIME(Data.getString("D_MI_CREATETIME"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Zenner_gas_meter_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Zenner_gas_meter_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Zenner_gas_meter_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Zenner_gas_meter_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_Zenner_gas_purchase_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "922941df-096f-4b63-80c8-3c822db6cfc1");
            log.put("interfaceinfoName", "归集-真兰收费系统-购气信息");

            Guiji_gas3_Zenner_gas_purchase_infor_Bean bean = new Guiji_gas3_Zenner_gas_purchase_infor_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setId(Data.getString("GUID"));
            bean.setId(Data.getString("VC_SG_USERGUID"));
            bean.setId(Data.getString("N_SG_BEFOREAMOUNT"));
            bean.setId(Data.getString("N_SG_SHOULDAMOUNT"));
            bean.setId(Data.getString("N_SG_FACTAMOUNT"));
            bean.setId(Data.getString("N_SG_LASTAMOUNT"));
            bean.setId(Data.getString("VC_SG_IVNO"));
            bean.setId(Data.getString("VC_SG_OPCODE"));
            bean.setId(Data.getString("D_SG_SALEDATE"));
            bean.setId(Data.getString("VC_SG_SALEORBACK"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Zenner_gas_purchase_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Zenner_gas_purchase_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Zenner_gas_purchase_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Zenner_gas_purchase_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_Zenner_meter_reading_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "4a7859be-daac-4ee0-b961-5a5c12aaba3f");
            log.put("interfaceinfoName", "归集-真兰收费系统-抄表信息");

            Guiji_gas4_Zenner_meter_reading_infor_Bean bean = new Guiji_gas4_Zenner_meter_reading_infor_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setId(Data.getString("GUID"));
            bean.setId(Data.getString("VC_JFD_USERGUID"));
            bean.setId(Data.getString("N_JFD_BEFORENUM"));
            bean.setId(Data.getString("N_JFD_LASTNUM"));
            bean.setId(Data.getString("N_JFD_BEFOREAMOUNT"));
            bean.setId(Data.getString("N_JFD_AMOUNT"));
            bean.setId(Data.getString("N_JFD_LASTAMOUNT"));
            bean.setId(Data.getString("VC_JFD_INVOICE"));
            bean.setId(Data.getString("VC_JFH_SKPERSON"));
            bean.setId(Data.getString("D_JFH_SKDATE"));
            bean.setId(Data.getString("VC_JFD_SKTYPE"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Zenner_meter_reading_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Zenner_meter_reading_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Zenner_meter_reading_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Zenner_meter_reading_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_Aofe_user_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "a44780dc-7388-4d83-9911-6cb8d3a4ef7f");
            log.put("interfaceinfoName", "归集-奥枫收费系统-用户信息");

            Guiji_gas5_Aofe_user_infor_Bean bean = new Guiji_gas5_Aofe_user_infor_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Aofe_user_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Aofe_user_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Aofe_user_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Aofe_user_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_Aofe_gas_meter_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "7232714a-30aa-499b-a844-6f68fe24fdf3");
            log.put("interfaceinfoName", "归集-奥枫收费系统-表具信息");

            Guiji_gas6_Aofe_gas_meter_infor_Bean bean= new Guiji_gas6_Aofe_gas_meter_infor_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Aofe_gas_meter_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Aofe_gas_meter_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Aofe_gas_meter_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Aofe_gas_meter_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_Aofe_gas_purchase_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "f1615dc6-de25-44dc-a6bf-14acf38bb4ff");
            log.put("interfaceinfoName", "归集-奥枫收费系统-购气信息");

            Guiji_gas7_Aofe_gas_purchase_infor_Bean bean = new Guiji_gas7_Aofe_gas_purchase_infor_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Aofe_gas_purchase_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Aofe_gas_purchase_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Aofe_gas_purchase_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Aofe_gas_purchase_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_Aofe_meter_reading_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "6c421b6e-511c-45fa-bf95-37a49346212c");
            log.put("interfaceinfoName", "归集-奥枫收费系统-抄表信息");

            Guiji_gas8_Aofe_meter_reading_infor_Bean bean = new Guiji_gas8_Aofe_meter_reading_infor_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_Aofe_meter_reading_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_Aofe_meter_reading_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_Aofe_meter_reading_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_Aofe_meter_reading_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_qinchuan_user_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "31c51e30-eaa5-4207-85b6-8c14d8a053d2");
            log.put("interfaceinfoName", "归集-秦川业务系统-用户信息");

            Guiji_gas9_qinchuan_user_infor_Bean bean = new Guiji_gas9_qinchuan_user_infor_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            bean.setC_UserName(Data.getString("C_UserName"));
            bean.setC_Telphone(Data.getString("C_Telphone"));
            bean.setC_AddrInfo(Data.getString("C_AddrInfo"));
            bean.setC_Ye(Data.getString("C_Ye"));
            bean.setC_PayCode(Data.getString("C_PayCode"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_qinchuan_user_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_qinchuan_user_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_qinchuan_user_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_qinchuan_user_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_SC_user_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "1042c600-4b27-479c-9c4a-9f73ac4202a7");
            log.put("interfaceinfoName", "归集-思凯收费系统-用户信息");

            Guiji_gas10_SC_user_infor_Bean bean = new Guiji_gas10_SC_user_infor_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_SC_user_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_SC_user_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_SC_user_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_SC_user_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_SC_gas_meter_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "0a94cb83-8cf2-42e6-9ef0-579eb178543a");
            log.put("interfaceinfoName", "归集-思凯收费系统-表具信息");

            Guiji_gas11_SC_gas_meter_infor_Bean bean= new Guiji_gas11_SC_gas_meter_infor_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_SC_gas_meter_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_SC_gas_meter_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_SC_gas_meter_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_SC_gas_meter_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_SC_gas_purchase_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "ecc0a004-a56a-4eef-9cd5-f04fe059b9be");
            log.put("interfaceinfoName", "归集-思凯收费系统-购气信息");

            Guiji_gas12_SC_gas_purchase_infor_Bean bean = new Guiji_gas12_SC_gas_purchase_infor_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_SC_gas_purchase_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_SC_gas_purchase_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_SC_gas_purchase_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_SC_gas_purchase_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_SC_meter_reading_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "db120bfe-dfc3-4a0d-b4c3-4b1308fbf429");
            log.put("interfaceinfoName", "归集-思凯收费系统-抄表信息");

            Guiji_gas13_SC_meter_reading_infor_Bean bean = new Guiji_gas13_SC_meter_reading_infor_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_SC_meter_reading_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_SC_meter_reading_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_SC_meter_reading_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_SC_meter_reading_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_XinKer_user_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "7ee35eea-99db-4831-9fea-d448db92dd27");
            log.put("interfaceinfoName", "归集-鑫科客户系统-客户信息");

            Guiji_gas14_XinKer_user_infor_Bean bean = new Guiji_gas14_XinKer_user_infor_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            bean.setName(Data.getString("Name"));
            bean.setSex(Data.getString("Sex"));
            bean.setPhone(Data.getString("Phone"));
            bean.setAddress(Data.getString("Address"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_XinKer_user_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_XinKer_user_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_XinKer_user_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_XinKer_user_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_XinKer_acceptance_infor(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "f8f22877-9fdc-45a5-86ec-8c21bba751c4");
            log.put("interfaceinfoName", "归集-鑫科客户系统-受理信息");

            Guiji_gas15_XinKer_acceptance_infor_Bean bean= new Guiji_gas15_XinKer_acceptance_infor_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            bean.setNumber(Data.getString("Number"));
            bean.setDatetime(Data.getString("Datetime"));
            bean.setAcceptor(Data.getString("Acceptor"));
            bean.setInformation(Data.getString("Information"));
            bean.setTaskType(Data.getString("TaskType"));
            bean.setBusinessType(Data.getString("BusinessType"));
            bean.setDetailedInformation(Data.getString("DetailedInformation"));
            bean.setContent(Data.getString("Content"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_XinKer_acceptance_infor(bean);
                guiji_gas_mapper2.add_guiji_gas_XinKer_acceptance_infor(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_XinKer_acceptance_infor(bean);
                guiji_gas_mapper2.update_guiji_gas_XinKer_acceptance_infor(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_gas_XinKer_disposition_info(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "f2ece35b-dcaf-435c-9821-269bbf7134f0");
            log.put("interfaceinfoName", "归集-鑫科客户系统-处理信息");

            Guiji_gas16_XinKer_disposition_info_Bean bean = new Guiji_gas16_XinKer_disposition_info_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            bean.setClerkOrdering(Data.getString("ClerkOrdering"));
            bean.setDateTime(Data.getString("DateTime"));
            bean.setWorker(Data.getString("Worker"));
            bean.setResultCode(Data.getString("ResultCode"));
            bean.setContent(Data.getString("Content"));
            if (bean.getCd_operation().equals("I")) {
                guiji_gas_mapper.add_guiji_gas_XinKer_disposition_info(bean);
                guiji_gas_mapper2.add_guiji_gas_XinKer_disposition_info(bean);
            } else {
                guiji_gas_mapper.update_guiji_gas_XinKer_disposition_info(bean);
                guiji_gas_mapper2.update_guiji_gas_XinKer_disposition_info(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }
}
