package com.sooka.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.sooka.base.BaseApi;
import com.sooka.base.BaseService;
import com.sooka.mapper.Guiji_Medicine_Mapper;
import com.sooka.mapper.Guiji_Medicine_Mapper2;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.*;
import com.sooka.service.Guiji_Medicine_Service;
import com.sooka.utils.HttpUtil;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;

@Service
public class Guiji_Medicine_ServiceImpl extends BaseService implements Guiji_Medicine_Service {


    @Resource
    Guiji_Medicine_Mapper guiji_medicine_mapper;
    @Resource
    Guiji_Medicine_Mapper2 guiji_medicine_mapper2;

    @Override
    public ResultModel guiji_medicine_dept_data(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "63759cf5-5b58-4ab0-a291-d002c4aed00b");
            log.put("interfaceinfoName", "归集-市医药-种植采集数");

            Guiji_medicine_dept_data_Bean bean = new Guiji_medicine_dept_data_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            System.out.println(Data+"=Data");
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            bean.setPlantName(Data.getString("plantName"));
            bean.setPlantAddress(Data.getString("plantAddress"));
            bean.setPlantHectare(Data.getString("plantHectare"));
            bean.setProduceTons(Data.getString("produceTons"));
            bean.setProduceValue(Data.getString("produceValue"));
            bean.setPlantYear(Data.getString("plantYear"));
//            guiji_medicine_mapper.add_guiji_medicine_dept_data(bean);
//            guiji_medicine_mapper2.add_guiji_medicine_dept_data(bean);
            if (bean.getCd_operation().equals("I")) {
                guiji_medicine_mapper.add_guiji_medicine_dept_data(bean);
                guiji_medicine_mapper2.add_guiji_medicine_dept_data(bean);
            } else {
                guiji_medicine_mapper.update_guiji_medicine_dept_data(bean);
                guiji_medicine_mapper2.update_guiji_medicine_dept_data(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_medicine_dept_data2(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "bc172910-d8e9-41a4-a12e-149d2bcb0f21");
            log.put("interfaceinfoName", "归集-市医药-平台采集");

            Guiji_medicine_dept_data2_Bean bean = new Guiji_medicine_dept_data2_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            System.out.println(Data+"=Data");
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            bean.setPlatformName(Data.getString("platformName"));
            bean.setConstructingUnit(Data.getString("constructingUnit"));
            bean.setConstructingDate(Data.getString("constructingDate"));
            bean.setPlatformAddress(Data.getString("platformAddress"));
            bean.setPlatformAddressExt(Data.getString("platformAddressExt"));
            bean.setPlatformLevel(Data.getString("platformLevel"));
            bean.setPlatformType(Data.getString("platformType"));
//            guiji_medicine_mapper.add_guiji_medicine_dept_data2(bean);
//            guiji_medicine_mapper2.add_guiji_medicine_dept_data2(bean);
            if (bean.getCd_operation().equals("I")) {
                guiji_medicine_mapper.add_guiji_medicine_dept_data2(bean);
                guiji_medicine_mapper2.add_guiji_medicine_dept_data2(bean);
            } else {
                guiji_medicine_mapper.update_guiji_medicine_dept_data2(bean);
                guiji_medicine_mapper2.update_guiji_medicine_dept_data2(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_medicine_dept_data3(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "e164c6a8-2a60-4049-a8a2-63affa0e22ad");
            log.put("interfaceinfoName", "归集-市医药-项目采集");

            Guiji_medicine_dept_data3_Bean bean = new Guiji_medicine_dept_data3_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            System.out.println(Data+"=Data");
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            bean.setProjectName(Data.getString("projectName"));
            bean.setProjectOrgName(Data.getString("projectOrgName"));
            bean.setProjectAddress(Data.getString("projectAddress"));
            bean.setProjectStatus(Data.getString("projectStatus"));
            bean.setProjectTotalInvestment(Data.getString("projectTotalInvestment"));
            bean.setProjectStart(Data.getString("projectStart"));
            bean.setProjectEnd(Data.getString("projectEnd"));
//            guiji_medicine_mapper.add_guiji_medicine_dept_data3(bean);
//            guiji_medicine_mapper2.add_guiji_medicine_dept_data3(bean);
            if (bean.getCd_operation().equals("I")) {
                guiji_medicine_mapper.add_guiji_medicine_dept_data3(bean);
                guiji_medicine_mapper2.add_guiji_medicine_dept_data3(bean);
            } else {
                guiji_medicine_mapper.update_guiji_medicine_dept_data3(bean);
                guiji_medicine_mapper2.update_guiji_medicine_dept_data3(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel guiji_medicine_dept_data4(String str) {
        ResultModel r = new ResultModel();
        Map log = new HashMap();
        try {
            log.put("operationStatus", "1");
            log.put("platformInterfacetype", "platform_interfacetype_2");//1 共享 2归集
            log.put("interfaceinfoId", "40c511e5-3139-418c-a711-25d95ff4778a");
            log.put("interfaceinfoName", "归集-市医药-规上工业经济数据");

            Guiji_medicine_dept_data4_Bean bean = new Guiji_medicine_dept_data4_Bean();
            initBaseGuijiBean(str, bean);

            JSONObject Data = bean.getData();
            System.out.println(Data+"=Data");
            bean.setStr(str);
            bean.setId(Data.getString("id"));
            bean.setYear(Data.getString("year"));
            bean.setMonth(Data.getString("month"));
            bean.setEconomyType(Data.getString("economyType"));
            bean.setNumber(Data.getString("number"));
            bean.setYearOnYear(Data.getString("yearOnYear"));
            bean.setCityProportion(Data.getString("cityProportion"));
//            guiji_medicine_mapper.add_guiji_medicine_dept_data4(bean);
//            guiji_medicine_mapper2.add_guiji_medicine_dept_data4(bean);
            if (bean.getCd_operation().equals("I")) {
                guiji_medicine_mapper.add_guiji_medicine_dept_data4(bean);
                guiji_medicine_mapper2.add_guiji_medicine_dept_data4(bean);
            } else {
                guiji_medicine_mapper.update_guiji_medicine_dept_data4(bean);
                guiji_medicine_mapper2.update_guiji_medicine_dept_data4(bean);
            }
            r.setCode(0);
            r.setMessage("成功");
        } catch (Exception e) {
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
        } finally {
            log.put("param", str);
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }


}
